Bug 1538088 - torbrowser-launcher broken after Tor Browser 7.5 update
Summary: torbrowser-launcher broken after Tor Browser 7.5 update
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: torbrowser-launcher
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Robert Mayr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1539467
TreeView+ depends on / blocked
 
Reported: 2018-01-24 13:00 UTC by AsciiWolf
Modified: 2018-02-21 16:17 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-14 17:31:04 UTC


Attachments (Terms of Use)
The output after executing torbrowser-launcher when the the directory and file is fixed. (993 bytes, text/plain)
2018-01-28 03:17 UTC, Scott Cohen
no flags Details

Description AsciiWolf 2018-01-24 13:00:49 UTC
Description of problem:
torbrowser-launcher does not work anymore after updating Tor Browser to version 7.5.

Version-Release number of selected component (if applicable):
torbrowser-launcher-0.2.8-1.fc27.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. Install torbrowser-launcher.
2. Let the Tor Browser update itself to the latest version.
3. Restart the Tor Browser.

Actual results:
Traceback (most recent call last):
  File "/usr/bin/torbrowser-launcher", line 30, in <module>
    torbrowser_launcher.main()
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/__init__.py", line 62, in main
    app = Launcher(common, url_list)
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 91, in __init__
    if not self.common.settings['installed'] or not self.check_min_version():
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 603, in check_min_version
    for line in open(self.common.paths['tbb']['versions']).readlines():
IOError: [Errno 2] No such file or directory: '/home/asciiwolf/.local/share/torbrowser/tbb/x86_64/tor-browser_en-US/Browser/TorBrowser/Docs/sources/versions'

Expected results:
Tor Browser launches without any issues.

Additional info:
https://github.com/micahflee/torbrowser-launcher/issues/306

Comment 1 sajjad 2018-01-27 18:26:40 UTC
hi
how fix error tor browser on fedora 27 after update to kernel 4.14.14 ?
i am can not run tor browser ...!?
[sajjad@localhost ~]$ torbrowser-launcher Tor Browser Launcher By Micah Lee, licensed under MIT version 0.2.8 https://github.com/micahflee/torbrowser-launcher Refreshing local keyring... Keyring refreshed successfully... No key updates for key: EF6E286DDA85EA2A4BA7DE684E2C6E8793298290 Traceback (most recent call last): File "/usr/bin/torbrowser-launcher", line 30, in <module> torbrowser_launcher.main() File "/usr/lib/python2.7/site-packages/torbrowser_launcher/__init__.py", line 62, in main app = Launcher(common, url_list) File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 91, in __init__ if not self.common.settings['installed'] or not self.check_min_version(): File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 603, in check_min_version for line in open(self.common.paths['tbb']['versions']).readlines(): IOError: [Errno 2] No such file or directory: '/home/sajjad/.local/share/torbrowser/tbb/x86_64/tor-browser_en-US/Browser/TorBrowser/Docs/sources/versions' [sajjad@localhost ~]$

Comment 2 Scott Cohen 2018-01-28 03:17 UTC
Created attachment 1387078 [details]
The output after executing torbrowser-launcher when the the directory and file is fixed.

After creating the directory $HOME/.local/share/torbrowser/tbb/x86_64/tor-browser_en-US/Browser/TorBrowser/Docs/sources/ and creating the file "versions" (without quotes) under the aforementioned directory, I executed torbrowser-launcher and I got the contents in the attachment. I repeated this every time after I reinstalled torbrowser-launcher and I still get the contents in the attachment.

Comment 3 micah 2018-01-28 19:00:40 UTC
This bug has been fixed upstream in the torbrowser-launcher 0.2.9 release:
https://github.com/micahflee/torbrowser-launcher/releases/tag/v0.2.9

Comment 4 Fedora Update System 2018-02-13 14:41:22 UTC
torbrowser-launcher-0.2.9-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-80b55ca071

Comment 5 Fedora Update System 2018-02-13 14:42:11 UTC
torbrowser-launcher-0.2.9-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b3de6c389e

Comment 6 Fedora Update System 2018-02-13 16:22:29 UTC
torbrowser-launcher-0.2.9-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b3de6c389e

Comment 7 Fedora Update System 2018-02-13 16:42:34 UTC
torbrowser-launcher-0.2.9-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-80b55ca071

Comment 8 Fedora Update System 2018-02-14 17:31:04 UTC
torbrowser-launcher-0.2.9-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-02-21 16:17:40 UTC
torbrowser-launcher-0.2.9-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.